package com.qingyun.service.service;

import com.qingyun.service.domain.ContractReviewTask;
import com.qingyun.service.domain.vo.ContractReviewTaskVo;
import com.qingyun.service.domain.bo.ContractReviewTaskBo;
import com.qingyun.mybatisplus.page.TableDataInfo;
import com.qingyun.common.core.domain.PageQuery;
import com.qingyun.mybatisplus.core.IServicePlus;

import java.util.Collection;
import java.util.List;

/**
 * 审查任务Service接口
 *
 * @author jianlu
 * @date 2025-07-15
 */
public interface IContractReviewTaskService extends IServicePlus<ContractReviewTask, ContractReviewTaskVo> {

    /**
     * 查询审查任务
     */
    ContractReviewTaskVo queryById(Long taskId);

    /**
     * 查询审查任务列表
     */
    TableDataInfo<ContractReviewTaskVo> queryPageList(ContractReviewTaskBo bo, PageQuery pageQuery);

    /**
     * 查询审查任务列表
     */
    List<ContractReviewTaskVo> queryList(ContractReviewTaskBo bo);

    /**
     * 新增审查任务
     */
    Boolean insertByBo(ContractReviewTaskBo bo);

    /**
     * 修改审查任务
     */
    Boolean updateByBo(ContractReviewTaskBo bo);

    /**
     * 校验并批量删除审查任务信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    void execute(ContractReviewTask contractReviewTask, Long modelId);
}
